# eric4.Plugins.PluginVmTabview

Module implementing the Tabview view manager plugin.

### Global Attributes

author
autoactivate
className
deactivateable
displayString
error
longDescription
name
packageName
pluginType
pluginTypename
shortDescription
version

### Classes

VmTabviewPlugin | Class implementing the Tabview view manager plugin.

### Functions

previewPix | Module function to return a preview pixmap.

## VmTabviewPlugin

Class implementing the Tabview view manager plugin.

### Derived from

object

### Class Attributes

None

### Class Methods

None

### Methods

VmTabviewPlugin | Constructor
activate | Public method to activate this plugin.
deactivate | Public method to deactivate this plugin.

### Static Methods

None

#### VmTabviewPlugin (Constructor)

VmTabviewPlugin(ui)

Constructor

ui
  reference to the user interface object (UI.UserInterface)

#### VmTabviewPlugin.activate

activate()

Public method to activate this plugin.

Returns:
  tuple of reference to instantiated viewmanager and activation status (boolean)

#### VmTabviewPlugin.deactivate

deactivate()

Public method to deactivate this plugin.

Up

## previewPix

previewPix()

Module function to return a preview pixmap.

Returns:
  preview pixmap (QPixmap)

Up